require File.expand_path '../../lib/vx/common/amqp', __FILE__

require 'rspec/autorun'

#ENV['VX_COMMON_AMQP_DEBUG'] = "1"

Dir[File.expand_path("../..", __FILE__) + "/spec/support/**.rb"].each {|f| require f}

RSpec.configure do |config|
  config.mock_with :rr

  config.before(:each) do
    Vx::Common::AMQP.config.reset!
  end

  config.after(:suite) do
    Vx::Common::AMQP.close
  end
end
